Index: branch/aseck/sp4b1/SP4b1/SP4b1.hwp
===================================================================
--- branch/aseck/sp4b1/SP4b1/SP4b1.hwp	(revision 311)
+++ branch/aseck/sp4b1/SP4b1/SP4b1.hwp	(revision 312)
@@ -3,16 +3,16 @@
 [DATABASE_VERSION]
 "2.8" 
 [PROJECT_DETAILS]
-"SP4b1" "D:\TP_SP4_2021_ASECK\sp4b1\SP4b1\SP4b1" "D:\TP_SP4_2021_ASECK\sp4b1\SP4b1\SP4b1\SP4b1.hwp" "M16C/80,M32C" "Renesas M32C Standard" "Application" "M32C/80" "M32C/87(M32C/87B)" 
+"SP4b1" "D:\tp_sp4_seck\sp4b1\SP4b1\SP4b1" "D:\tp_sp4_seck\sp4b1\SP4b1\SP4b1\SP4b1.hwp" "M16C/80,M32C" "Renesas M32C Standard" "Application" "M32C/80" "M32C/87(M32C/87B)" 
 [INFORMATION]
 "No project information available" 
 [TOOL_CHAIN]
 "Renesas M32C Standard Toolchain" "5.42.00" 
 [CONFIGURATIONS]
-"Debug" "D:\TP_SP4_2021_ASECK\sp4b1\SP4b1\SP4b1\Debug" 
-"Debug_M32C_E8a_SYSTEM" "D:\TP_SP4_2021_ASECK\sp4b1\SP4b1\SP4b1\Debug_M32C_E8a_SYSTEM" 
-"Debug_M32C_Simulator" "D:\TP_SP4_2021_ASECK\sp4b1\SP4b1\SP4b1\Debug_M32C_Simulator" 
-"Release" "D:\TP_SP4_2021_ASECK\sp4b1\SP4b1\SP4b1\Release" 
+"Debug" "D:\tp_sp4_seck\sp4b1\SP4b1\SP4b1\Debug" 
+"Debug_M32C_E8a_SYSTEM" "D:\tp_sp4_seck\sp4b1\SP4b1\SP4b1\Debug_M32C_E8a_SYSTEM" 
+"Debug_M32C_Simulator" "D:\tp_sp4_seck\sp4b1\SP4b1\SP4b1\Debug_M32C_Simulator" 
+"Release" "D:\tp_sp4_seck\sp4b1\SP4b1\SP4b1\Release" 
 [BUILD_PHASES]
 "Renesas M32C Assembler" 1 
 "Renesas M32C C Compiler" 1 
@@ -105,8 +105,8 @@
 "Relocatable file" "Renesas M32C Linker" "Renesas M32C Assembler" 
 "Relocatable file" "Renesas M32C Linker" "Renesas M32C C Compiler" 
 [PROJECT_FILES]
-"D:\TP_SP4_2021_ASECK\sp4b1\SP4b1\SP4b1\SP4b1.c" "User" "C source file" 2 
-"D:\TP_SP4_2021_ASECK\sp4b1\SP4b1\SP4b1\ncrt0.a30" "User" "Assembly source file" 2 
+"D:\tp_sp4_seck\sp4b1\SP4b1\SP4b1\SP4b1.c" "User" "C source file" 2 
+"D:\tp_sp4_seck\sp4b1\SP4b1\SP4b1\ncrt0.a30" "User" "Assembly source file" 2 
 [FOLDER]
 "Assembly source file" "Assembly source file" 
 "C source file" "C source file" 
@@ -115,26 +115,26 @@
 [ON_DEMAND_COMPONENTS_LOADED]
 [SYNC_SESSION_NAMES]
 [SESSIONS]
-"DefaultSession" "D:\TP_SP4_2021_ASECK\sp4b1\SP4b1\SP4b1\DefaultSession.hsf" 0 
-"SessionM32C_E8a_SYSTEM" "D:\TP_SP4_2021_ASECK\sp4b1\SP4b1\SP4b1\SessionM32C_E8a_SYSTEM.hsf" 0 
-"SessionM32C_Simulator" "D:\TP_SP4_2021_ASECK\sp4b1\SP4b1\SP4b1\SessionM32C_Simulator.hsf" 0 
+"DefaultSession" "D:\tp_sp4_seck\sp4b1\SP4b1\SP4b1\DefaultSession.hsf" 0 
+"SessionM32C_E8a_SYSTEM" "D:\tp_sp4_seck\sp4b1\SP4b1\SP4b1\SessionM32C_E8a_SYSTEM.hsf" 0 
+"SessionM32C_Simulator" "D:\tp_sp4_seck\sp4b1\SP4b1\SP4b1\SessionM32C_Simulator.hsf" 0 
 [GENERAL_DATA_SESSION_DefaultSession]
 [GENERAL_DATA_SESSION_SessionM32C_E8a_SYSTEM]
 [GENERAL_DATA_SESSION_SessionM32C_Simulator]
 [OPTIONS_Debug_Renesas M32C Assembler]
-"Assembly source file" "04d7e4ba4cb47d10" 2 
-"D:\TP_SP4_2021_ASECK\sp4b1\SP4b1\SP4b1\ncrt0.a30" "04d7e4ba4cb47d10" 2 
+"Assembly source file" "0d59982ddcb47d10" 2 
+"D:\tp_sp4_seck\sp4b1\SP4b1\SP4b1\ncrt0.a30" "0d59982ddcb47d10" 2 
 [OPTIONS_Debug_Renesas M32C C Compiler]
-"C source file" "04d7e4ba4cb47d10" 1 
-"D:\TP_SP4_2021_ASECK\sp4b1\SP4b1\SP4b1\SP4b1.c" "04d7e4ba4cb47d10" 1 
+"C source file" "0d59982ddcb47d10" 1 
+"D:\tp_sp4_seck\sp4b1\SP4b1\SP4b1\SP4b1.c" "0d59982ddcb47d10" 1 
 [OPTIONS_Debug_Renesas M32C Configurator]
-"Single Shot" "04d7e4ba4cb47d10" 6 
+"Single Shot" "0d59982ddcb47d10" 6 
 [OPTIONS_Debug_Renesas M32C Librarian]
-"Single Shot" "04d7e4ba4cb47d10" 5 
+"Single Shot" "0d59982ddcb47d10" 5 
 [OPTIONS_Debug_Renesas M32C Linker]
-"Single Shot" "04d7e4ba4cb47d10" 3 
+"Single Shot" "0d59982ddcb47d10" 3 
 [OPTIONS_Debug_Renesas M32C Stype Converter]
-"Single Shot" "04d7e4ba4cb47d10" 4 
+"Single Shot" "0d59982ddcb47d10" 4 
 [OPTIONS_Debug]
 "" 0 
 "[V|VERSION|1] [B|COMMAND|1] [S|SPEC|UITRON3] " 6 
@@ -145,22 +145,22 @@
 "[V|VERSION|1] [S|OUTPUT|OBJECTCODE] [S|OUTPUTPATH|^"$(CONFIGDIR)\$(FILELEAF).r30^"] [B|INSPECTOR|1] [S|CPU|M32C80] " 1 
 [EXCLUDED_FILES_Debug]
 [LINKAGE_ORDER_Debug]
-"D:\TP_SP4_2021_ASECK\sp4b1\SP4b1\SP4b1\Debug\ncrt0.r30" 
+"D:\tp_sp4_seck\sp4b1\SP4b1\SP4b1\Debug\ncrt0.r30" 
 [GENERAL_DATA_CONFIGURATION_Debug]
 [OPTIONS_Debug_M32C_E8a_SYSTEM_Renesas M32C Assembler]
-"Assembly source file" "04d7e4ba4cb47d10" 2 
-"D:\TP_SP4_2021_ASECK\sp4b1\SP4b1\SP4b1\ncrt0.a30" "04d7e4ba4cb47d10" 2 
+"Assembly source file" "0d59982ddcb47d10" 2 
+"D:\tp_sp4_seck\sp4b1\SP4b1\SP4b1\ncrt0.a30" "0d59982ddcb47d10" 2 
 [OPTIONS_Debug_M32C_E8a_SYSTEM_Renesas M32C C Compiler]
-"C source file" "04d7e4ba4cb47d10" 1 
-"D:\TP_SP4_2021_ASECK\sp4b1\SP4b1\SP4b1\SP4b1.c" "04d7e4ba4cb47d10" 1 
+"C source file" "0d59982ddcb47d10" 1 
+"D:\tp_sp4_seck\sp4b1\SP4b1\SP4b1\SP4b1.c" "0d59982ddcb47d10" 1 
 [OPTIONS_Debug_M32C_E8a_SYSTEM_Renesas M32C Configurator]
-"Single Shot" "04d7e4ba4cb47d10" 6 
+"Single Shot" "0d59982ddcb47d10" 6 
 [OPTIONS_Debug_M32C_E8a_SYSTEM_Renesas M32C Librarian]
-"Single Shot" "04d7e4ba4cb47d10" 5 
+"Single Shot" "0d59982ddcb47d10" 5 
 [OPTIONS_Debug_M32C_E8a_SYSTEM_Renesas M32C Linker]
-"Single Shot" "04d7e4ba4cb47d10" 3 
+"Single Shot" "0d59982ddcb47d10" 3 
 [OPTIONS_Debug_M32C_E8a_SYSTEM_Renesas M32C Stype Converter]
-"Single Shot" "04d7e4ba4cb47d10" 4 
+"Single Shot" "0d59982ddcb47d10" 4 
 [OPTIONS_Debug_M32C_E8a_SYSTEM]
 "" 0 
 "[V|VERSION|1] [B|COMMAND|1] [S|SPEC|UITRON3] " 6 
@@ -171,22 +171,22 @@
 "[V|VERSION|1] [S|OUTPUT|OBJECTCODE] [S|OUTPUTPATH|^"$(CONFIGDIR)\$(FILELEAF).r30^"] [B|INSPECTOR|1] [S|CPU|M32C80] " 1 
 [EXCLUDED_FILES_Debug_M32C_E8a_SYSTEM]
 [LINKAGE_ORDER_Debug_M32C_E8a_SYSTEM]
-"D:\TP_SP4_2021_ASECK\sp4b1\SP4b1\SP4b1\Debug_M32C_E8a_SYSTEM\ncrt0.r30" 
+"D:\tp_sp4_seck\sp4b1\SP4b1\SP4b1\Debug_M32C_E8a_SYSTEM\ncrt0.r30" 
 [GENERAL_DATA_CONFIGURATION_Debug_M32C_E8a_SYSTEM]
 [OPTIONS_Debug_M32C_Simulator_Renesas M32C Assembler]
-"Assembly source file" "04d7e4ba4cb47d10" 2 
-"D:\TP_SP4_2021_ASECK\sp4b1\SP4b1\SP4b1\ncrt0.a30" "04d7e4ba4cb47d10" 2 
+"Assembly source file" "0d59982ddcb47d10" 2 
+"D:\tp_sp4_seck\sp4b1\SP4b1\SP4b1\ncrt0.a30" "0d59982ddcb47d10" 2 
 [OPTIONS_Debug_M32C_Simulator_Renesas M32C C Compiler]
-"C source file" "04d7e4ba4cb47d10" 1 
-"D:\TP_SP4_2021_ASECK\sp4b1\SP4b1\SP4b1\SP4b1.c" "04d7e4ba4cb47d10" 1 
+"C source file" "0d59982ddcb47d10" 1 
+"D:\tp_sp4_seck\sp4b1\SP4b1\SP4b1\SP4b1.c" "0d59982ddcb47d10" 1 
 [OPTIONS_Debug_M32C_Simulator_Renesas M32C Configurator]
-"Single Shot" "04d7e4ba4cb47d10" 6 
+"Single Shot" "0d59982ddcb47d10" 6 
 [OPTIONS_Debug_M32C_Simulator_Renesas M32C Librarian]
-"Single Shot" "04d7e4ba4cb47d10" 5 
+"Single Shot" "0d59982ddcb47d10" 5 
 [OPTIONS_Debug_M32C_Simulator_Renesas M32C Linker]
-"Single Shot" "04d7e4ba4cb47d10" 3 
+"Single Shot" "0d59982ddcb47d10" 3 
 [OPTIONS_Debug_M32C_Simulator_Renesas M32C Stype Converter]
-"Single Shot" "04d7e4ba4cb47d10" 4 
+"Single Shot" "0d59982ddcb47d10" 4 
 [OPTIONS_Debug_M32C_Simulator]
 "" 0 
 "[V|VERSION|1] [B|COMMAND|1] [S|SPEC|UITRON3] " 6 
@@ -197,22 +197,22 @@
 "[V|VERSION|1] [S|OUTPUT|OBJECTCODE] [S|OUTPUTPATH|^"$(CONFIGDIR)\$(FILELEAF).r30^"] [B|INSPECTOR|1] [S|CPU|M32C80] " 1 
 [EXCLUDED_FILES_Debug_M32C_Simulator]
 [LINKAGE_ORDER_Debug_M32C_Simulator]
-"D:\TP_SP4_2021_ASECK\sp4b1\SP4b1\SP4b1\Debug_M32C_Simulator\ncrt0.r30" 
+"D:\tp_sp4_seck\sp4b1\SP4b1\SP4b1\Debug_M32C_Simulator\ncrt0.r30" 
 [GENERAL_DATA_CONFIGURATION_Debug_M32C_Simulator]
 [OPTIONS_Release_Renesas M32C Assembler]
-"Assembly source file" "04d7e4ba4cb47d10" 2 
-"D:\TP_SP4_2021_ASECK\sp4b1\SP4b1\SP4b1\ncrt0.a30" "04d7e4ba4cb47d10" 2 
+"Assembly source file" "0d59982ddcb47d10" 2 
+"D:\tp_sp4_seck\sp4b1\SP4b1\SP4b1\ncrt0.a30" "0d59982ddcb47d10" 2 
 [OPTIONS_Release_Renesas M32C C Compiler]
-"C source file" "04d7e4ba4cb47d10" 1 
-"D:\TP_SP4_2021_ASECK\sp4b1\SP4b1\SP4b1\SP4b1.c" "04d7e4ba4cb47d10" 1 
+"C source file" "0d59982ddcb47d10" 1 
+"D:\tp_sp4_seck\sp4b1\SP4b1\SP4b1\SP4b1.c" "0d59982ddcb47d10" 1 
 [OPTIONS_Release_Renesas M32C Configurator]
-"Single Shot" "04d7e4ba4cb47d10" 6 
+"Single Shot" "0d59982ddcb47d10" 6 
 [OPTIONS_Release_Renesas M32C Librarian]
-"Single Shot" "04d7e4ba4cb47d10" 5 
+"Single Shot" "0d59982ddcb47d10" 5 
 [OPTIONS_Release_Renesas M32C Linker]
-"Single Shot" "04d7e4ba4cb47d10" 3 
+"Single Shot" "0d59982ddcb47d10" 3 
 [OPTIONS_Release_Renesas M32C Stype Converter]
-"Single Shot" "04d7e4ba4cb47d10" 4 
+"Single Shot" "0d59982ddcb47d10" 4 
 [OPTIONS_Release]
 "" 0 
 "[V|VERSION|1] [B|COMMAND|1] [S|SPEC|UITRON3] " 6 
@@ -223,7 +223,7 @@
 "[V|VERSION|1] [S|OUTPUT|OBJECTCODE] [S|OUTPUTPATH|^"$(CONFIGDIR)\$(FILELEAF).r30^"] [B|INSPECTOR|1] [S|CPU|M32C80] " 1 
 [EXCLUDED_FILES_Release]
 [LINKAGE_ORDER_Release]
-"D:\TP_SP4_2021_ASECK\sp4b1\SP4b1\SP4b1\Release\ncrt0.r30" 
+"D:\tp_sp4_seck\sp4b1\SP4b1\SP4b1\Release\ncrt0.r30" 
 [GENERAL_DATA_CONFIGURATION_Release]
 [GENERAL_DATA_CONFIGURATION_SESSION_Debug_DefaultSession]
 [SESSION_DATA_CONFIGURATION_SESSION_Debug_DefaultSession]
Index: branch/aseck/sp4b1/SP4b1/SP4b1.c
===================================================================
--- branch/aseck/sp4b1/SP4b1/SP4b1.c	(revision 311)
+++ branch/aseck/sp4b1/SP4b1/SP4b1.c	(revision 312)
@@ -10,12 +10,34 @@
 /***********************************************************************/
 
 
+#include "sfr32c87.h"
 
+void init_keyboard(void); 
+void tpo_50ms(void) ;
 
+unsigned char touche = 0;
 
-#include "sfr32c87.h"
-void init_keyboard(void); void tpo_50ms(void) ;
-unsigned char touche = 0;
-void main(void){    init_keyboard()  ;                      while(1){      if ( (p10 & 0xf0)!= 0xf0 ){ touche = p10 ; tpo_50ms() ; }
- } } void init_keyboard(void){    pd10 = 0x0F;p10=0 ;pu31 = 1;  }
-void tpo_50ms(void){ tcspr = 0x8A; ta0mr = 0x82; ta0 = 50000;                    ta0s = 1;ta0os = 1;       ta0ic = 0x00;                          while(ir_ta0ic != 1);               ta0s = 0;                      }
+void main(void){    
+	init_keyboard();                        
+	while(1){      
+		if ( (p10 & 0xf0)!= 0xf0 ){ 
+			touche = p10 ; 
+			tpo_50ms() ; 
+			}
+	}
+}
+void init_keyboard(void){    
+	pd10 = 0x0F;p10=0 ;pu31 = 1;  
+	}
+
+void tpo_50ms(void){ 
+	tcspr = 0x8A; 
+	ta0mr = 0x82; 
+	ta0 = 50000;                    
+	ta0s = 1;ta0os = 1;       
+	ta0ic = 0x00;                          
+	while(ir_ta0ic != 1);               
+	ta0s = 0;                      
+	}
+
+
Index: branch/aseck/sp4b1/SP4b1/Readme.txt
===================================================================
--- branch/aseck/sp4b1/SP4b1/Readme.txt	(revision 311)
+++ branch/aseck/sp4b1/SP4b1/Readme.txt	(revision 312)
@@ -1,18 +1,18 @@
 -------- PROJECT GENERATOR --------
 PROJECT NAME :	SP4b1
-PROJECT DIRECTORY :	D:\TP_SP4_2021_ASECK\sp4b1\SP4b1\SP4b1
+PROJECT DIRECTORY :	D:\tp_sp4_seck\sp4b1\SP4b1\SP4b1
 CPU SERIES :	M32C/80
 CPU GROUP :	87B
 TOOLCHAIN NAME :	Renesas M32C Standard Toolchain
 TOOLCHAIN VERSION :	5.42.00
 GENERATION FILES :
-    D:\TP_SP4_2021_ASECK\sp4b1\SP4b1\SP4b1\SP4b1.c
+    D:\tp_sp4_seck\sp4b1\SP4b1\SP4b1\SP4b1.c
         main program file.
 START UP FILES :
-    D:\TP_SP4_2021_ASECK\sp4b1\SP4b1\SP4b1\ncrt0.a30
-    D:\TP_SP4_2021_ASECK\sp4b1\SP4b1\SP4b1\sect308.inc
+    D:\tp_sp4_seck\sp4b1\SP4b1\SP4b1\ncrt0.a30
+    D:\tp_sp4_seck\sp4b1\SP4b1\SP4b1\sect308.inc
 
 SELECT TARGET :
     M32C E8a SYSTEM
     M32C Simulator
-DATE & TIME : 18/05/2021 09:04:30
+DATE & TIME : 18/05/2021 10:09:48