Index: branch/aseck/sp4b1/SP4b1/SP4b1.hwp
===================================================================
--- branch/aseck/sp4b1/SP4b1/SP4b1.hwp	(revision 319)
+++ branch/aseck/sp4b1/SP4b1/SP4b1.hwp	(revision 320)
@@ -3,16 +3,16 @@
 [DATABASE_VERSION]
 "2.8" 
 [PROJECT_DETAILS]
-"SP4b1" "D:\tp_sp4_seck\sp4b1\SP4b1\SP4b1" "D:\tp_sp4_seck\sp4b1\SP4b1\SP4b1\SP4b1.hwp" "M16C/80,M32C" "Renesas M32C Standard" "Application" "M32C/80" "M32C/87(M32C/87B)" 
+"SP4b1" "D:\tp_sp4_seck\sp4b1\SP4b1" "D:\tp_sp4_seck\sp4b1\SP4b1\SP4b1.hwp" "M16C/80,M32C" "Renesas M32C Standard" "Application" "M32C/80" "M32C/87(M32C/87B)" 
 [INFORMATION]
 "No project information available" 
 [TOOL_CHAIN]
 "Renesas M32C Standard Toolchain" "5.42.00" 
 [CONFIGURATIONS]
-"Debug" "D:\tp_sp4_seck\sp4b1\SP4b1\SP4b1\Debug" 
-"Debug_M32C_E8a_SYSTEM" "D:\tp_sp4_seck\sp4b1\SP4b1\SP4b1\Debug_M32C_E8a_SYSTEM" 
-"Debug_M32C_Simulator" "D:\tp_sp4_seck\sp4b1\SP4b1\SP4b1\Debug_M32C_Simulator" 
-"Release" "D:\tp_sp4_seck\sp4b1\SP4b1\SP4b1\Release" 
+"Debug" "D:\tp_sp4_seck\sp4b1\SP4b1\Debug" 
+"Debug_M32C_E8a_SYSTEM" "D:\tp_sp4_seck\sp4b1\SP4b1\Debug_M32C_E8a_SYSTEM" 
+"Debug_M32C_Simulator" "D:\tp_sp4_seck\sp4b1\SP4b1\Debug_M32C_Simulator" 
+"Release" "D:\tp_sp4_seck\sp4b1\SP4b1\Release" 
 [BUILD_PHASES]
 "Renesas M32C Assembler" 1 
 "Renesas M32C C Compiler" 1 
@@ -105,8 +105,8 @@
 "Relocatable file" "Renesas M32C Linker" "Renesas M32C Assembler" 
 "Relocatable file" "Renesas M32C Linker" "Renesas M32C C Compiler" 
 [PROJECT_FILES]
-"D:\tp_sp4_seck\sp4b1\SP4b1\SP4b1\SP4b1.c" "User" "C source file" 2 
-"D:\tp_sp4_seck\sp4b1\SP4b1\SP4b1\ncrt0.a30" "User" "Assembly source file" 2 
+"D:\tp_sp4_seck\sp4b1\SP4b1\SP4b1.c" "User" "C source file" 2 
+"D:\tp_sp4_seck\sp4b1\SP4b1\ncrt0.a30" "User" "Assembly source file" 2 
 [FOLDER]
 "Assembly source file" "Assembly source file" 
 "C source file" "C source file" 
@@ -115,18 +115,18 @@
 [ON_DEMAND_COMPONENTS_LOADED]
 [SYNC_SESSION_NAMES]
 [SESSIONS]
-"DefaultSession" "D:\tp_sp4_seck\sp4b1\SP4b1\SP4b1\DefaultSession.hsf" 0 
-"SessionM32C_E8a_SYSTEM" "D:\tp_sp4_seck\sp4b1\SP4b1\SP4b1\SessionM32C_E8a_SYSTEM.hsf" 0 
-"SessionM32C_Simulator" "D:\tp_sp4_seck\sp4b1\SP4b1\SP4b1\SessionM32C_Simulator.hsf" 0 
+"DefaultSession" "D:\tp_sp4_seck\sp4b1\SP4b1\DefaultSession.hsf" 0 
+"SessionM32C_E8a_SYSTEM" "D:\tp_sp4_seck\sp4b1\SP4b1\SessionM32C_E8a_SYSTEM.hsf" 0 
+"SessionM32C_Simulator" "D:\tp_sp4_seck\sp4b1\SP4b1\SessionM32C_Simulator.hsf" 0 
 [GENERAL_DATA_SESSION_DefaultSession]
 [GENERAL_DATA_SESSION_SessionM32C_E8a_SYSTEM]
 [GENERAL_DATA_SESSION_SessionM32C_Simulator]
 [OPTIONS_Debug_Renesas M32C Assembler]
 "Assembly source file" "0d59982ddcb47d10" 2 
-"D:\tp_sp4_seck\sp4b1\SP4b1\SP4b1\ncrt0.a30" "0d59982ddcb47d10" 2 
+"D:\tp_sp4_seck\sp4b1\SP4b1\ncrt0.a30" "0d59982ddcb47d10" 2 
 [OPTIONS_Debug_Renesas M32C C Compiler]
 "C source file" "0d59982ddcb47d10" 1 
-"D:\tp_sp4_seck\sp4b1\SP4b1\SP4b1\SP4b1.c" "0d59982ddcb47d10" 1 
+"D:\tp_sp4_seck\sp4b1\SP4b1\SP4b1.c" "0d59982ddcb47d10" 1 
 [OPTIONS_Debug_Renesas M32C Configurator]
 "Single Shot" "0d59982ddcb47d10" 6 
 [OPTIONS_Debug_Renesas M32C Librarian]
@@ -145,14 +145,14 @@
 "[V|VERSION|1] [S|OUTPUT|OBJECTCODE] [S|OUTPUTPATH|^"$(CONFIGDIR)\$(FILELEAF).r30^"] [B|INSPECTOR|1] [S|CPU|M32C80] " 1 
 [EXCLUDED_FILES_Debug]
 [LINKAGE_ORDER_Debug]
-"D:\tp_sp4_seck\sp4b1\SP4b1\SP4b1\Debug\ncrt0.r30" 
+"D:\tp_sp4_seck\sp4b1\SP4b1\Debug\ncrt0.r30" 
 [GENERAL_DATA_CONFIGURATION_Debug]
 [OPTIONS_Debug_M32C_E8a_SYSTEM_Renesas M32C Assembler]
 "Assembly source file" "0d59982ddcb47d10" 2 
-"D:\tp_sp4_seck\sp4b1\SP4b1\SP4b1\ncrt0.a30" "0d59982ddcb47d10" 2 
+"D:\tp_sp4_seck\sp4b1\SP4b1\ncrt0.a30" "0d59982ddcb47d10" 2 
 [OPTIONS_Debug_M32C_E8a_SYSTEM_Renesas M32C C Compiler]
 "C source file" "0d59982ddcb47d10" 1 
-"D:\tp_sp4_seck\sp4b1\SP4b1\SP4b1\SP4b1.c" "0d59982ddcb47d10" 1 
+"D:\tp_sp4_seck\sp4b1\SP4b1\SP4b1.c" "0d59982ddcb47d10" 1 
 [OPTIONS_Debug_M32C_E8a_SYSTEM_Renesas M32C Configurator]
 "Single Shot" "0d59982ddcb47d10" 6 
 [OPTIONS_Debug_M32C_E8a_SYSTEM_Renesas M32C Librarian]
@@ -171,14 +171,14 @@
 "[V|VERSION|1] [S|OUTPUT|OBJECTCODE] [S|OUTPUTPATH|^"$(CONFIGDIR)\$(FILELEAF).r30^"] [B|INSPECTOR|1] [S|CPU|M32C80] " 1 
 [EXCLUDED_FILES_Debug_M32C_E8a_SYSTEM]
 [LINKAGE_ORDER_Debug_M32C_E8a_SYSTEM]
-"D:\tp_sp4_seck\sp4b1\SP4b1\SP4b1\Debug_M32C_E8a_SYSTEM\ncrt0.r30" 
+"D:\tp_sp4_seck\sp4b1\SP4b1\Debug_M32C_E8a_SYSTEM\ncrt0.r30" 
 [GENERAL_DATA_CONFIGURATION_Debug_M32C_E8a_SYSTEM]
 [OPTIONS_Debug_M32C_Simulator_Renesas M32C Assembler]
 "Assembly source file" "0d59982ddcb47d10" 2 
-"D:\tp_sp4_seck\sp4b1\SP4b1\SP4b1\ncrt0.a30" "0d59982ddcb47d10" 2 
+"D:\tp_sp4_seck\sp4b1\SP4b1\ncrt0.a30" "0d59982ddcb47d10" 2 
 [OPTIONS_Debug_M32C_Simulator_Renesas M32C C Compiler]
 "C source file" "0d59982ddcb47d10" 1 
-"D:\tp_sp4_seck\sp4b1\SP4b1\SP4b1\SP4b1.c" "0d59982ddcb47d10" 1 
+"D:\tp_sp4_seck\sp4b1\SP4b1\SP4b1.c" "0d59982ddcb47d10" 1 
 [OPTIONS_Debug_M32C_Simulator_Renesas M32C Configurator]
 "Single Shot" "0d59982ddcb47d10" 6 
 [OPTIONS_Debug_M32C_Simulator_Renesas M32C Librarian]
@@ -197,14 +197,14 @@
 "[V|VERSION|1] [S|OUTPUT|OBJECTCODE] [S|OUTPUTPATH|^"$(CONFIGDIR)\$(FILELEAF).r30^"] [B|INSPECTOR|1] [S|CPU|M32C80] " 1 
 [EXCLUDED_FILES_Debug_M32C_Simulator]
 [LINKAGE_ORDER_Debug_M32C_Simulator]
-"D:\tp_sp4_seck\sp4b1\SP4b1\SP4b1\Debug_M32C_Simulator\ncrt0.r30" 
+"D:\tp_sp4_seck\sp4b1\SP4b1\Debug_M32C_Simulator\ncrt0.r30" 
 [GENERAL_DATA_CONFIGURATION_Debug_M32C_Simulator]
 [OPTIONS_Release_Renesas M32C Assembler]
 "Assembly source file" "0d59982ddcb47d10" 2 
-"D:\tp_sp4_seck\sp4b1\SP4b1\SP4b1\ncrt0.a30" "0d59982ddcb47d10" 2 
+"D:\tp_sp4_seck\sp4b1\SP4b1\ncrt0.a30" "0d59982ddcb47d10" 2 
 [OPTIONS_Release_Renesas M32C C Compiler]
 "C source file" "0d59982ddcb47d10" 1 
-"D:\tp_sp4_seck\sp4b1\SP4b1\SP4b1\SP4b1.c" "0d59982ddcb47d10" 1 
+"D:\tp_sp4_seck\sp4b1\SP4b1\SP4b1.c" "0d59982ddcb47d10" 1 
 [OPTIONS_Release_Renesas M32C Configurator]
 "Single Shot" "0d59982ddcb47d10" 6 
 [OPTIONS_Release_Renesas M32C Librarian]
@@ -223,7 +223,7 @@
 "[V|VERSION|1] [S|OUTPUT|OBJECTCODE] [S|OUTPUTPATH|^"$(CONFIGDIR)\$(FILELEAF).r30^"] [B|INSPECTOR|1] [S|CPU|M32C80] " 1 
 [EXCLUDED_FILES_Release]
 [LINKAGE_ORDER_Release]
-"D:\tp_sp4_seck\sp4b1\SP4b1\SP4b1\Release\ncrt0.r30" 
+"D:\tp_sp4_seck\sp4b1\SP4b1\Release\ncrt0.r30" 
 [GENERAL_DATA_CONFIGURATION_Release]
 [GENERAL_DATA_CONFIGURATION_SESSION_Debug_DefaultSession]
 [SESSION_DATA_CONFIGURATION_SESSION_Debug_DefaultSession]
Index: branch/aseck/sp4b1/SP4b1/SP4b1.nav
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream