Index: branch/KURKLU/sp4a12/main.c
===================================================================
--- branch/KURKLU/sp4a12/main.c	(revision 378)
+++ branch/KURKLU/sp4a12/main.c	(revision 379)
@@ -41,6 +41,9 @@
 int decode_int(char c);
 int decode_trames(char * trame, Position * p);
 
+
+/*~~~~~~~~~~~~~~~~~~~~~~~~DEBUT-TP1~~~~~~~~~~~~~~~~~~~~~~~~~~~~*/
+
 int trame_cmp(char * trame,char * type){
     /*DECLARATION VARIABLE*/
     int j = 0;
@@ -62,38 +65,11 @@
 
 }
 
-int decode_nombre(char * ch,int n){
-    int resultat=0;
-    for(int i=0;i<n;i++){
-
-        resultat = resultat+(pow(10,(n-i-1))*decode_int(ch[i]));
-    }
-    return resultat;
-
-}
-
-void test_unitaire_decode_nombre(void){
-
-    if(decode_nombre("123",3)!=123){
-        printf("Erreur test unitaire decode_nombre. A\n");
-        exit(-1);
-    }
-    if(decode_nombre("987654321",2)!=98){
-        printf("Erreur test unitaire decode_nombre.C\n");
-        exit(-1);
-    }
-    if(decode_nombre("12345",4)!=1234){
-        printf("Erreur test unitaire decode_int.D\n");
-        exit(-1);
-    }
-}
-
-
 int decode_int(char c)
 {
 
-	int resultat= c-48;
-	if (resultat>-1 && resultat<10){
+	int resultat= c-48;//48 est le code ASCII correspondant au 0 on soustrai donc 48 au caractere que l'on reçoit
+	if (resultat>-1 && resultat<10){//On vérifie que le resultat et un chiffre entre 0 et 9
 		return resultat;
 	}
 	else return -1;
@@ -101,33 +77,21 @@
 
 }
 
-void test_unitaire_decode_int(void){
 
-    if(decode_int('5')!=5){
-        printf("Erreur test unitaire decode_int. \n");
-        exit(-1);
+int decode_nombre(char * ch,int n){
+    /*DECLARATION VARIABLE*/
+    int resultat=0;
+    for(int i=0;i<n;i++){//pour chaque caractere de la chaine on prend le chiffre correspondant et on le multiplie par une puissance de 10 pour les unité dizaine centaine ...
+        resultat = resultat+(pow(10,(n-i-1))*decode_int(ch[i]));
     }
-    if(decode_int('0')!=0){
-        printf("Erreur test unitaire decode_int. \n");
-        exit(-1);
-    }
-    if(decode_int('A')!=-1){
-        printf("Erreur test unitaire decode_int.\n");
-        exit(-1);
-    }
-    if(decode_int('Z')!=-1){
-        printf("Erreur test unitaire decode_int.\n");
-        exit(-1);
-    }
-    if(decode_int('3')!=3){
-        printf("Erreur test unitaire decode_int.\n");
-        exit(-1);
-    }
+    return resultat; // retourne le nombre obtenue
 
 }
 
 
+
 float conversion_latitute_float(char*degres){
+    /*DECLARATION VARIABLE*/
     char deg[2];
     char min[2];
     char sec[4];
@@ -134,19 +98,22 @@
     float vald,valm,vals;
     float resultat = 0;
     int i;
-    for(i=0;i<2;i++){
+
+    for(i=0;i<2;i++){//Boucle pour récupérer les caracteres qui represente les degrés
         deg[i] = degres[i];
     }
-    for(i=2;i<4;i++){
+    for(i=2;i<4;i++){//Boucle pour récupérer les caracteres qui represente les minutes
         min[i-2] = degres[i];
     }
-    for(i=5;i<9;i++){
+    for(i=5;i<9;i++){//Boucle pour récupérer les caracteres qui represente les secondes
         sec[i-5] = degres[i];
     }
+    //Conversion des caractéres récupérer en float
     vald = decode_nombre(deg,2);
     valm = decode_nombre(min,2);
     vals = decode_nombre(sec,4);
 
+    //Calcule le la latitude avec les degres minute seconde
     resultat = resultat + vald;
     resultat = resultat + valm/60;
     resultat = resultat + ((vals*0.0001)*60)/3600;
@@ -156,6 +123,7 @@
 
 
 float conversion_longitude_float(char*degres){
+    /*DECLARATION VARIABLE*/
     char deg[3];
     char min[2];
     char sec[4];
@@ -162,19 +130,22 @@
     float vald,valm,vals;
     float resultat = 0;
     int i;
-    for(i=0;i<3;i++){
+
+    for(i=0;i<3;i++){//Boucle pour récupérer les caracteres qui represente les degrés
         deg[i] = degres[i];
     }
-    for(i=3;i<5;i++){
+    for(i=3;i<5;i++){//Boucle pour récupérer les caracteres qui represente les minutes
         min[i-3] = degres[i];
     }
-    for(i=6;i<10;i++){
+    for(i=6;i<10;i++){//Boucle pour récupérer les caracteres qui represente les secondes
         sec[i-6] = degres[i];
     }
+    //Conversion des caractéres récupérer en float
     vald = decode_nombre(deg,3);
     valm = decode_nombre(min,2);
     vals = decode_nombre(sec,4);
 
+    //Calcule le la latitude avec les degres minute seconde
     resultat = resultat + vald;
     resultat = resultat + valm/60;
     resultat = resultat + ((vals*0.0001)*60)/3600;
@@ -183,13 +154,16 @@
 }
 
 float conversion_lat_long_float(char*degres){
+    /*DECLARATION VARIABLE*/
     int i=0;
     char c = degres[0];
     float resultat;
+    //Boucle while pour mesurer la taille de la chaine de caractere jusqu'au point
     while(c != '.'){
         i=i+1;
         c=degres[i];
     }
+    //si la chaine fait 4 caractere on a une latitude sinon on a une longitude
     if(i==4){
       resultat=conversion_latitute_float(degres);
     }
@@ -200,11 +174,58 @@
         printf("Erreur\n");
         exit(-1);
     }
-
+    //apres avoir éxécuter la fonction correspondant on retourne le resultat
     return resultat;
 }
 
 
+
+/*TEST UNITAIRE POUR LES FONCTION*/
+void test_unitaire_decode_nombre(void){
+
+    if(decode_nombre("123",3)!=123){
+        printf("Erreur test unitaire decode_nombre. A\n");
+        exit(-1);
+    }
+    if(decode_nombre("987654321",2)!=98){
+        printf("Erreur test unitaire decode_nombre.C\n");
+        exit(-1);
+    }
+    if(decode_nombre("12345",4)!=1234){
+        printf("Erreur test unitaire decode_int.D\n");
+        exit(-1);
+    }
+}
+
+
+
+void test_unitaire_decode_int(void){
+
+    if(decode_int('5')!=5){
+        printf("Erreur test unitaire decode_int. \n");
+        exit(-1);
+    }
+    if(decode_int('0')!=0){
+        printf("Erreur test unitaire decode_int. \n");
+        exit(-1);
+    }
+    if(decode_int('A')!=-1){
+        printf("Erreur test unitaire decode_int.\n");
+        exit(-1);
+    }
+    if(decode_int('Z')!=-1){
+        printf("Erreur test unitaire decode_int.\n");
+        exit(-1);
+    }
+    if(decode_int('3')!=3){
+        printf("Erreur test unitaire decode_int.\n");
+        exit(-1);
+    }
+
+}
+
+
+
 void test_unitaire_conversion_lat_float(void){
     float i = conversion_latitute_float("3723.2475");
     float j = 37.3874588;
@@ -223,31 +244,39 @@
     }
 }
 
-void tests_unitaires_decode_tram(void){
-    Position  p;
-
-    if(decode_trames("$GPGGA,141914.00,4545.0000,N,00306.6036,E,1,05,3.4,499.3,M,,M,,*7D",&p)!=1){
-        printf("Erreur test unitaire decode trame\n");
+void test_unitaire_conversion_long_lat_float(void){
+    float i = conversion_lat_long_float("09013.1234");
+    float j = 90.21872333 ;
+    if(i != j ){
+        printf("Erreur test unitaire conversion long lat 1\n");
         exit(-1);
     }
-    if(decode_trames("$GPVTG,99.4,T,,M,0.4,N,0.7,K*57",&p)!=0){
-        printf("Erreur test unitaire decode trame\n");
+    i=conversion_lat_long_float("12236.3645");;
+    j=122.606075;
+    if(i != j ){
+        printf("Erreur test unitaire conversion long lat 2\n");
         exit(-1);
     }
-    if(decode_trames("$GPGSV,3,3,10,22,39,053,50,28,15,320,*7E",&p)!=0){
-        printf("Erreur test unitaire decode trame\n");
+    i=conversion_lat_long_float("1832.8125");;
+    j=18.546875;
+    if(i != j ){
+        printf("Erreur test unitaire conversion long lat 3\n");
         exit(-1);
     }
-    if(decode_trames("$GPGGA,141915.00,4545.0242,N,00306.6039,E,1,05,3.4,499.5,M,,M,,*72",&p)!=1){
-        printf("Erreur test unitaire decode trame\n");
+    i=conversion_lat_long_float("4725.7654");
+    j=47.4294233;
+    if(i != j ){
+        printf("Erreur test unitaire conversion long lat 4\n");
         exit(-1);
     }
+}
 
 
-}
+/*~~~~~~~~~~~~~~~~~~~~~~~~FIN-TP1~~~~~~~~~~~~~~~~~~~~~~~~~~~~*/
+/*~~~~~~~~~~~~~~~~~~~~~~~~DEBUT-TP2~~~~~~~~~~~~~~~~~~~~~~~~~~~~*/
 
-
 int decode_trames(char * trame, Position * p){
+        /*DECLARATION VARIABLE*/
         char buff[20];
         int i;
         int resultat = 1;
@@ -274,56 +303,63 @@
     return resultat;
 }
 
+float calcule_distance(Position p_1, Position p_2){
 
+    float distance;
+    float rad = M_PI/180;
+    distance = 6378445*acos(sin(p_1.latitude*rad)*sin(p_2.latitude*rad)+cos(p_1.latitude*rad)*cos(p_2.latitude*rad)*cos(p_1.longitude*rad - p_2.longitude*rad));
+    return distance;
+}
 
+float calcule_vitesse(Position p_1, Position p_2){
+    float distance = calcule_distance(p_1,p_2);
+    float vitesse = distance * 3.6;
+    return vitesse;
 
-void test_unitaire_conversion_long_lat_float(void){
-    float i = conversion_lat_long_float("09013.1234");
-    float j = 90.21872333 ;
-    if(i != j ){
-        printf("Erreur test unitaire conversion long lat 1\n");
+}
+
+int distance_a_la_proche_zone(Position p, Zone r[],int nb_zones,float * d){
+    int i,j;
+    if(nb_zones == 0){
+        return -1;
+    }
+    else {
+        *d = calcule_distance(p,r[0].rpos);
+        j=0;
+        for(i=1;i<nb_zones;i++){
+            if(calcule_distance(p,r[i].rpos)<*d){
+                *d= calcule_distance(p,r[i].rpos);
+                j=i;
+            }
+        }
+        return j;
+    }
+
+}
+
+void tests_unitaires_decode_tram(void){
+    Position  p;
+
+    if(decode_trames("$GPGGA,141914.00,4545.0000,N,00306.6036,E,1,05,3.4,499.3,M,,M,,*7D",&p)!=1){
+        printf("Erreur test unitaire decode trame\n");
         exit(-1);
     }
-    i=conversion_lat_long_float("12236.3645");;
-    j=122.606075;
-    if(i != j ){
-        printf("Erreur test unitaire conversion long lat 2\n");
+    if(decode_trames("$GPVTG,99.4,T,,M,0.4,N,0.7,K*57",&p)!=0){
+        printf("Erreur test unitaire decode trame\n");
         exit(-1);
     }
-    i=conversion_lat_long_float("1832.8125");;
-    j=18.546875;
-    if(i != j ){
-        printf("Erreur test unitaire conversion long lat 3\n");
+    if(decode_trames("$GPGSV,3,3,10,22,39,053,50,28,15,320,*7E",&p)!=0){
+        printf("Erreur test unitaire decode trame\n");
         exit(-1);
     }
-    i=conversion_lat_long_float("4725.7654");
-    j=47.4294233;
-    if(i != j ){
-        printf("Erreur test unitaire conversion long lat 4\n");
+    if(decode_trames("$GPGGA,141915.00,4545.0242,N,00306.6039,E,1,05,3.4,499.5,M,,M,,*72",&p)!=1){
+        printf("Erreur test unitaire decode trame\n");
         exit(-1);
     }
-}
 
 
-
-
-
-
-
-
-float calcule_distance(Position p_1, Position p_2){
-
-    float distance;
-    float rad = M_PI/180;
-    distance = 6378445*acos(sin(p_1.latitude*rad)*sin(p_2.latitude*rad)+cos(p_1.latitude*rad)*cos(p_2.latitude*rad)*cos(p_1.longitude*rad - p_2.longitude*rad));
-    return distance;
 }
 
-float calcule_vitesse(Position p_1, Position p_2){
-    float distance = calcule_distance(p_1,p_2);
-    float vitesse = distance * 3.6;
-    return vitesse;
-}
 
 void tests_unitaires_distance(void){
     Position p1 ={45.7833,3.0833};
@@ -345,25 +381,7 @@
 }
 
 
-int distance_a_la_proche_zone(Position p, Zone r[],int nb_zones,float * d){
-    int i,j;
-    if(nb_zones == 0){
-        return -1;
-    }
-    else {
-        *d = calcule_distance(p,r[0].rpos);
-        j=0;
-        for(i=1;i<nb_zones;i++){
-            if(calcule_distance(p,r[i].rpos)<*d){
-                *d= calcule_distance(p,r[i].rpos);
-                j=i;
-            }
-        }
-        return j;
-    }
 
-}
-
 void test_unitaire_distance_proche(void){
     float  d;
     Position p ={44.7891220, -3.013};
@@ -417,7 +435,7 @@
         etat = 1;
     }
 }
-
+/*~~~~~~~~~~~~~~~~~~~~~~~~FIN-TP2~~~~~~~~~~~~~~~~~~~~~~~~~~~~*/
 
 
 //Ajouter vos tests unitaires dans cette fonction.